Subject: Re: IF

From: [email-masked] (David W. Tamkin)
Date: Fri, 27 Jan 1995 21:00:00 -0600 (CST)

Eileen Bauer wrote,

| What I'd like to see happen is that the first mail gets put in the
| tap-jazz digest, and when the 2nd comes in, a tap-jazz msgid log
| is checked, and since the msgid is already there, procmail goes on
| to the next recipie (ballet-modern) and adds the mail to that digest.

I do that via a different tack entirely.  Instead of using a recipe with a
^TO condition, I identify mailing lists whenever possible by the headers that
the list management software adds or changes: From_, or Resent-Sender:, or
Sender:, or X-Mailing-List:.  That way if a letter is sent to more than one
list that I subscribe to, or if it is sent both to a list that I subscribe to
and to me personally, each copy gets filed appropriately.  That saves forking
formail to check a Message-Id cache (and the disk space the cache would use).

David W. Tamkin  Box 3284  Skokie, Illinois  60076-6284
[email-masked]    MCI Mail: 426-1818   +1 312 714 5610